package org.netkernel.module.standard.builtin.branchmerge;

import org.netkernel.layer0.meta.IPrototypeParameterMeta;
import org.netkernel.layer0.meta.impl.DefaultPrototypeMeta;
import org.netkernel.layer0.meta.impl.PrototypeParameterMetaImpl;
import org.netkernel.urii.IIdentifier;
import org.netkernel.urii.ISpace;

public class BranchMergePrototype extends DefaultPrototypeMeta
{	
	public static IPrototypeParameterMeta[] sPrototypeParameters = new IPrototypeParameterMeta[]
    {	new PrototypeParameterMetaImpl(BranchMergeOverlay.PARAM_CONFIG,"XML configuration document defining branches", IIdentifier.class,IPrototypeParameterMeta.NO_DEFAULT),
		new PrototypeParameterMetaImpl(BranchMergeOverlay.PARAM_SPACE,ISpace.class,IPrototypeParameterMeta.NO_DEFAULT)
  	};
	
	public BranchMergePrototype()
	{	super(BranchMergeOverlay.class,"BranchMergeOverlay");
	}

	public String getName()
	{	return "BranchMerge";
	}

	public IPrototypeParameterMeta[] getParameters()
	{	return sPrototypeParameters;
	}

	public String getDescription()
	{	return "branch merge description";
	}
}
